<?php
$operatorMeta = array(
    'operators' => array(
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Opportunities',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Opportunities',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'sales_stage',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-20' => array(
            'id' => 'op-20',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'sales_stage',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-21' => array(
            'id' => 'op-21',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'sales_stage_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Closed Won',
                                    ),
            ),
        ),
        'op-22' => array(
            'id' => 'op-22',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-23' => array(
            'id' => 'op-23',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-24' => array(
            'id' => 'op-24',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-25' => array(
            'id' => 'op-25',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-26' => array(
            'id' => 'op-26',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'ProspectLists',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'ProspectLists',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'ProspectLists',
                                    ),
            ),
        ),
        'op-27' => array(
            'id' => 'op-27',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Congratulations for your 1st order',
                                    ),
            ),
        ),
        'op-28' => array(
            'id' => 'op-28',
            'type' => 'RetrieveRelatedEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-29' => array(
            'id' => 'op-29',
            'type' => 'ForEachEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-30' => array(
            'id' => 'op-30',
            'type' => 'LinkEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Contacts',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'ProspectLists',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'prospect_lists',
                                    ),
            ),
            'outDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Contacts',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'ProspectLists',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-22' => array(
            'from' => 'op-18entity',
            'fromOperator' => 'op-18',
            'fromConnector' => 'entity',
            'to' => 'op-19entity',
            'toOperator' => 'op-19',
            'toConnector' => 'entity'
        ),
        'link-23' => array(
            'from' => 'op-18previousEntityState',
            'fromOperator' => 'op-18',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-20entity',
            'toOperator' => 'op-20',
            'toConnector' => 'entity'
        ),
        'link-24' => array(
            'from' => 'op-21dropdownValue',
            'fromOperator' => 'op-21',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-22operand1',
            'toOperator' => 'op-22',
            'toConnector' => 'operand1'
        ),
        'link-25' => array(
            'from' => 'op-19fields0',
            'fromOperator' => 'op-19',
            'fromConnector' => 'fields0',
            'to' => 'op-22operand2',
            'toOperator' => 'op-22',
            'toConnector' => 'operand2'
        ),
        'link-26' => array(
            'from' => 'op-19fields0',
            'fromOperator' => 'op-19',
            'fromConnector' => 'fields0',
            'to' => 'op-23operand1',
            'toOperator' => 'op-23',
            'toConnector' => 'operand1'
        ),
        'link-27' => array(
            'from' => 'op-20fields0',
            'fromOperator' => 'op-20',
            'fromConnector' => 'fields0',
            'to' => 'op-23operand2',
            'toOperator' => 'op-23',
            'toConnector' => 'operand2'
        ),
        'link-28' => array(
            'from' => 'op-22result',
            'fromOperator' => 'op-22',
            'fromConnector' => 'result',
            'to' => 'op-24operand1',
            'toOperator' => 'op-24',
            'toConnector' => 'operand1'
        ),
        'link-29' => array(
            'from' => 'op-23result',
            'fromOperator' => 'op-23',
            'fromConnector' => 'result',
            'to' => 'op-24operand2',
            'toOperator' => 'op-24',
            'toConnector' => 'operand2'
        ),
        'link-30' => array(
            'from' => 'op-24result',
            'fromOperator' => 'op-24',
            'fromConnector' => 'result',
            'to' => 'op-25condition',
            'toOperator' => 'op-25',
            'toConnector' => 'condition'
        ),
        'link-31' => array(
            'from' => 'op-18controlFlow',
            'fromOperator' => 'op-18',
            'fromConnector' => 'controlFlow',
            'to' => 'op-25controlFlow',
            'toOperator' => 'op-25',
            'toConnector' => 'controlFlow'
        ),
        'link-32' => array(
            'from' => 'op-25controlFlowIfTrue',
            'fromOperator' => 'op-25',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-26controlFlow',
            'toOperator' => 'op-26',
            'toConnector' => 'controlFlow'
        ),
        'link-33' => array(
            'from' => 'op-27result',
            'fromOperator' => 'op-27',
            'fromConnector' => 'result',
            'to' => 'op-26fields0',
            'toOperator' => 'op-26',
            'toConnector' => 'fields0'
        ),
        'link-34' => array(
            'from' => 'op-26controlFlow',
            'fromOperator' => 'op-26',
            'fromConnector' => 'controlFlow',
            'to' => 'op-28controlFlow',
            'toOperator' => 'op-28',
            'toConnector' => 'controlFlow'
        ),
        'link-35' => array(
            'from' => 'op-18entity',
            'fromOperator' => 'op-18',
            'fromConnector' => 'entity',
            'to' => 'op-28entity',
            'toOperator' => 'op-28',
            'toConnector' => 'entity'
        ),
        'link-36' => array(
            'from' => 'op-28controlFlow',
            'fromOperator' => 'op-28',
            'fromConnector' => 'controlFlow',
            'to' => 'op-29controlFlow',
            'toOperator' => 'op-29',
            'toConnector' => 'controlFlow'
        ),
        'link-37' => array(
            'from' => 'op-28entities',
            'fromOperator' => 'op-28',
            'fromConnector' => 'entities',
            'to' => 'op-29entities',
            'toOperator' => 'op-29',
            'toConnector' => 'entities'
        ),
        'link-38' => array(
            'from' => 'op-29controlFlowLoopBody',
            'fromOperator' => 'op-29',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-30controlFlow',
            'toOperator' => 'op-30',
            'toConnector' => 'controlFlow'
        ),
        'link-39' => array(
            'from' => 'op-29entity',
            'fromOperator' => 'op-29',
            'fromConnector' => 'entity',
            'to' => 'op-30objectEntity',
            'toOperator' => 'op-30',
            'toConnector' => 'objectEntity'
        ),
        'link-40' => array(
            'from' => 'op-26singleEntity',
            'fromOperator' => 'op-26',
            'fromConnector' => 'singleEntity',
            'to' => 'op-30subjectEntity',
            'toOperator' => 'op-30',
            'toConnector' => 'subjectEntity'
        ),
    )
);
